#ifndef PRINTPREVIEW_H
#define PRINTPREVIEW_H

#include <QtGui/QMainWindow>
#include "ui_printpreview.h"

class QPrintPreviewWidget;
class QPrinter;
class QLineEdit;

class CPrintPreview : public QMainWindow
{
    Q_OBJECT

public:
    CPrintPreview(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~CPrintPreview();

private:
    Ui::printPreviewClass ui;

	QPrinter* m_printer;
	QPrintPreviewWidget* m_preview;
	QLineEdit* m_scaleEdit;

	QLineEdit* m_pageNumber;

	bool load(const QString &f);
	void printPix(QTextDocument* d_doc, QPrinter *printer, QPixmap* pixmap) const;
	void updateScaleEdit();

public slots:
	void onPreview();

	void onPreviewZoomIn();
	void onPreviewZoomOut();

	void onPrevPage();
	void onNextPage();
};

#endif // PRINTPREVIEW_H
