#ifndef QPRINTPREVIEWWIDGET_H
#define QPRINTPREVIEWWIDGET_H

#include <QScrollArea>

class QTextDocument;
class QPrinter;
class QLabel;

class CScaleWidget;

class QPrintPreviewWidget : public QScrollArea
{
	Q_OBJECT

friend CScaleWidget;

public:
    QPrintPreviewWidget(QWidget *parent);
    ~QPrintPreviewWidget();

	void setPrinter(const QPrinter* printer);
	void setDocument(const QTextDocument* document);
	void setPageIndex(int pageIndex);
	void setScale(int scale);
	void setMarginMM(int marginMM);

	void updatePreview();

	const QPrinter* printer() const;
	int scale() const;
	int marginMM() const;
	int pageIndex() const;
	int pageCount() const;

private:
	class Private;
	Private* d;

	void paintTo(QPaintDevice* paintDevice);
};

#endif // QPRINTPREVIEWWIDGET_H
